Blank

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.write
Class Blank

    java.lang.Object
      jxl.biff.RecordData
          jxl.biff.WritableRecordData
              jxl.write.biff.CellValue
                  jxl.write.biff.BlankRecord
                      jxl.write.Blank

All Implemented Interfaces:
  jxl.biff.ByteData, Cell, WritableCell

    public class Blank

extends jxl.write.biff.BlankRecord
implements WritableCell

A blank cell. Despite not having any contents, it may contain formatting information. Such cells are typically used when creating templates

Constructor Summary
`Blank(Cell lc)` Constructor used internally by the application when making a writable copy of a spreadsheet being read in
`Blank(int c, int r)` Creates a cell which, when added to the sheet, will be presented at the specified column and row co-ordinates
`Blank(int c, int r, CellFormat st)` Creates a cell which, when added to the sheet, will be presented at the specified column and row co-ordinates in the manner specified by the CellFormat parameter

Method Summary
`WritableCell` | `copyTo(int col, int row)` Implementation of the deep copy function

Methods inherited from class jxl.write.biff.BlankRecord
`getContents, getType`

Methods inherited from class jxl.write.biff.CellValue
`addCellFeatures, getCellFeatures, getCellFormat, getColumn, getData, getRow, getSheet, getWritableCellFeatures, isHidden, removeCellFeatures, removeComment, removeDataValidation, setCellFeatures, setCellFormat`

Methods inherited from class jxl.biff.WritableRecordData
`getBytes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jxl.write.WritableCell
`getWritableCellFeatures, setCellFeatures, setCellFormat`

Methods inherited from interface jxl.Cell
`getCellFeatures, getCellFormat, getColumn, getContents, getRow, getType, isHidden`

Constructor Detail

### Blank

    public Blank(int c,
                 int r)

  Creates a cell which, when added to the sheet, will be presented at the specified column and row co-ordinates

  Parameters:
    `c` - the column
    `r` - the row

### Blank

    public Blank(int c,
                 int r,
                 CellFormat st)

  Creates a cell which, when added to the sheet, will be presented at the specified column and row co-ordinates in the manner specified by the CellFormat parameter

  Parameters:
    `c` - the column
    `r` - the row
    `st` - the cell format

### Blank

    public Blank(Cell lc)

  Constructor used internally by the application when making a writable copy of a spreadsheet being read in

  Parameters:
    `lc` - the cell to copy

Method Detail

### copyTo

    public WritableCell copyTo(int col,
                               int row)

  Implementation of the deep copy function

  Specified by:
    `copyTo` in interface `WritableCell`
  Parameters:
    `col` - the column which the new cell will occupy
    `row` - the row which the new cell will occupy
  Returns:
    a copy of this cell, which can then be added to the sheet

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD